## org.apache.batik.dom.util
Class XMLSupport

    java.lang.Object
      org.apache.batik.dom.util.XMLSupport

All Implemented Interfaces:
  XMLConstants

public class XMLSupport
extends java.lang.Object
implements XMLConstants

This class provides support for XML features.

Field Summary

Fields inherited from interface org.apache.batik.util.XMLConstants

`XLINK_NAMESPACE_URI, XLINK_PREFIX, XML_CHAR_AMP, XML_CHAR_APOS, XML_CHAR_GT, XML_CHAR_LT, XML_CHAR_QUOT, XML_CHAR_REF_PREFIX, XML_CHAR_REF_SUFFIX, XML_CLOSE_TAG_END, XML_CLOSE_TAG_START, XML_DEFAULT_VALUE, XML_DOUBLE_QUOTE, XML_ENTITY_AMP, XML_ENTITY_APOS, XML_ENTITY_GT, XML_ENTITY_LT, XML_ENTITY_QUOT, XML_EQUAL_QUOT, XML_EQUAL_SIGN, XML_LANG_ATTRIBUTE, XML_NAMESPACE_URI, XML_OPEN_TAG_END_CHILDREN, XML_OPEN_TAG_END_NO_CHILDREN, XML_OPEN_TAG_START, XML_PREFIX, XML_PRESERVE_VALUE, XML_SPACE, XML_SPACE_ATTRIBUTE, XML_TAB, XMLNS_NAMESPACE_URI, XMLNS_PREFIX`

Constructor Summary
`protected` `XMLSupport()` This class does not need to be instanciated.

Method Summary
`static java.lang.String` `defaultXMLSpace(java.lang.String data)` Strips the white spaces in the given string according to the xml:space attribute recommended behaviour when it has the 'default' value.
`static java.lang.String` `getXMLLang(org.w3c.dom.Element elt)` Returns the xml:lang attribute value of the given element.
`static java.lang.String` `getXMLSpace(org.w3c.dom.Element elt)` Returns the xml:space attribute value of the given element.
`static java.lang.String` `preserveXMLSpace(java.lang.String data)` Strips the white spaces in the given string according to the xml:space attribute recommended behaviour when it has the 'preserve' value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSupport

    protected XMLSupport()

  This class does not need to be instanciated.

Method Detail

### getXMLLang

    public static java.lang.String getXMLLang(org.w3c.dom.Element elt)

  Returns the xml:lang attribute value of the given element.

### getXMLSpace

    public static java.lang.String getXMLSpace(org.w3c.dom.Element elt)

  Returns the xml:space attribute value of the given element.

### defaultXMLSpace

    public static java.lang.String defaultXMLSpace(java.lang.String data)

  Strips the white spaces in the given string according to the xml:space attribute recommended behaviour when it has the 'default' value.

### preserveXMLSpace

    public static java.lang.String preserveXMLSpace(java.lang.String data)

  Strips the white spaces in the given string according to the xml:space attribute recommended behaviour when it has the 'preserve' value.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.